Subject: bug#36583: 26.1; emacs 26 tries loading original user's .emacs after su to root

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Jul 2019 18:58:40 -0400

> This is explicitly documented in the manual.
> "How Emacs Finds Your Init File".

FWIW, I find this behavior very surprising (and dangerous).

Apparently you can circumvent it by setting LOGNAME to "root".

I can't find the place in code which distinguishes this case from the
case where the user doesn't `su` but instead sets his $HOME to some
other place, such as:

    HOME=/home/monnier/tmp/home emacs

BTW, thinking about "dangerous" above, I guess the behavior might make
sense when you're `su`ing *from* root rather than the other way around.

        Stefan